javax.xml.ws

## Class Holder<T>

- java.lang.Object
- - javax.xml.ws.Holder<T>

- All Implemented Interfaces:
    Serializable

      public final class Holder<T>
      extends Object
      implements Serializable

  Holds a value of type `T`.
  Since:
    JAX-WS 2.0
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `T` | `value` The value contained in the holder.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Holder()` Creates a new holder with a `null` value.
    `Holder(T value)` Create a new holder with the specified value.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value

          public T value

      The value contained in the holder.

  - ### Constructor Detail

    - #### Holder

          public Holder()

      Creates a new holder with a `null` value.

    - #### Holder

          public Holder(T value)

      Create a new holder with the specified value.
      Parameters:
        `value` - The value to be stored in the holder.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.